#include "map.h"

void MapTile::print() const
{
	switch(Terrain)
	{
	case tNothing1:		cout << " ";			break;
	case tOcean1:		cout << "~";			break;
	case tOcean2:		cout << "~";			break;
	case tOcean3:		cout << "~";			break;
	case tRiver1:		cout << "*";			break;
	case tRiver2:		cout << "*";			break;
	case tRiver3:		cout << "*";			break;
	case tRiver4:		cout << "*";			break;
	case tRiver5:		cout << "*";			break;
	case tDesert:		cout << ".";			break;
	case tRough:		cout << "^";			break;
	case tScrub:		cout << "#";			break;
	case tPlains:		cout << "v";			break;
	case tFarmLand:		cout << "-";			break;
	case tForest1:		cout << "*";			break;
	case tForest2:		cout << "*";			break;
	case tMarsh:		cout << "v";			break;
	case tHills:		cout << "n";			break;
	case tMountain1:	cout << "A";			break;
	case tMountain2:	cout << "A";			break;
	case tMountain3:	cout << "A";			break;
	case tHamlet:		cout << "o";			break;
	case tVillage:		cout << "o";			break;
	case tTown:			cout << "O";			break;
	case tCity:			cout << "O";			break;
	case tCapital:		cout << "X";			break;
	default:			cout << " ";			break;
	}
}
void MapTile::printName() const
{
	switch(Terrain)
	{
	case tNothing1:		cout << "Nothing";			break;
	case tOcean1:		cout << "Shallows";			break;
	case tOcean2:		cout << "Ocean";			break;
	case tOcean3:		cout << "Deep Ocean";		break;
	case tRiver1:		cout << "Stream";			break;
	case tRiver2:		cout << "River";			break;
	case tRiver3:		cout << "Deep River";		break;
	case tRiver4:		cout << "River Ford";		break;
	case tRiver5:		cout << "Bridge";			break;
	case tDesert:		cout << "Desert";			break;
	case tRough:		cout << "Rough";			break;
	case tScrub:		cout << "Scrub";			break;
	case tPlains:		cout << "Plains";			break;
	case tFarmLand:		cout << "Farmland";			break;
	case tForest1:		cout << "Forest";			break;
	case tForest2:		cout << "Thick Forest";		break;
	case tMarsh:		cout << "Marsh";			break;
	case tHills:		cout << "Hills";			break;
	case tMountain1:	cout << "Mountain Pass";	break;
	case tMountain2:	cout << "Mountain";			break;
	case tMountain3:	cout << "High Mountain";	break;
	case tMountain4:	cout << "Volcano";			break;
	case tHamlet:		cout << "Hamlet";			break;
	case tVillage:		cout << "Village";			break;
	case tTown:			cout << "Town";				break;
	case tCity:			cout << "City";				break;
	case tCapital:		cout << "Capital";			break;
	default:			cout << " ";				break;
	}
}
void MapTile::printName(int ter) const
{
	switch(ter)
	{
	case tNothing1:		cout << "Nothing";			break;
	case tOcean1:		cout << "Shallows";			break;
	case tOcean2:		cout << "Ocean";			break;
	case tOcean3:		cout << "Deep Ocean";		break;
	case tRiver1:		cout << "Stream";			break;
	case tRiver2:		cout << "River";			break;
	case tRiver3:		cout << "Deep River";		break;
	case tRiver4:		cout << "River Ford";		break;
	case tRiver5:		cout << "Bridge";			break;
	case tDesert:		cout << "Desert";			break;
	case tRough:		cout << "Rough";			break;
	case tScrub:		cout << "Scrub";			break;
	case tPlains:		cout << "Plains";			break;
	case tFarmLand:		cout << "Farmland";			break;
	case tForest1:		cout << "Forest";			break;
	case tForest2:		cout << "Thick Forest";		break;
	case tMarsh:		cout << "Marsh";			break;
	case tHills:		cout << "Hills";			break;
	case tMountain1:	cout << "Mountain Pass";	break;
	case tMountain2:	cout << "Mountain";			break;
	case tMountain3:	cout << "High Mountain";	break;
	case tMountain4:	cout << "Volcano";			break;
	case tHamlet:		cout << "Hamlet";			break;
	case tVillage:		cout << "Village";			break;
	case tTown:			cout << "Town";				break;
	case tCity:			cout << "City";				break;
	case tCapital:		cout << "Capital";			break;
	default:			cout << " ";				break;
	}
}
/*
				Plain	Scrub	Forest	Rough	Dessert	Hills	Mountains	Marsh
Plain			1-11	1-3		1		1-2		1-3		1		1			1-2
Scrub			12		4-11	2-4		3-4		4-5		2-3		2			3-4
Forest*			13		12-13	5-14	5		-		4-5		3			5-6
Rough			14		14		15		6-8		6-8		6-7		4-5			7
Dessert			15		15		-		9-10	9-14	8		6			-
Hills**			16		16		16		11-15	15		9-14	7-10		8
Mountains***	17		17		17		16-17	16-17	15-16	11-18		-
Marsh			18		18		18		18		18		17		-			9-15
Pond			19		19		19		19		19		18-19	19			16-19
Depression		20		20		20		20		20		20		20			20

* 	1 in 10 also includes Hills
**	1 in 10 also includes forest
***	1 in 20 have a pass which leads through the range
*/